aboutsummaryrefslogtreecommitdiffstats
path: root/tests/00_init
diff options
context:
space:
mode:
Diffstat (limited to 'tests/00_init')
-rw-r--r--tests/00_init29
1 files changed, 29 insertions, 0 deletions
diff --git a/tests/00_init b/tests/00_init
new file mode 100644
index 0000000..2c5724e
--- /dev/null
+++ b/tests/00_init
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+running init
+
+mkdir -p $TEST_LOCATION/vc
+mkdir $TEST_LOCATION/sec
+
+exec $BIN/ck conf $BIN init $TEST_LOCATION/vc $TEST_LOCATION/sec > /dev/null &
+wait $!
+
+if [ $? -ne 0 ]; then
+ echo -e $ERROR" ck crashed."
+ exit 1
+fi
+
+if [ ! -f $BIN/ckrc ]; then
+ echo -e $ERROR" Config file not created."
+ exit 1
+fi
+
+if [ ! -f $BIN/ckdb ]; then
+ echo -e $ERROR" DB file not created."
+ exit 1
+fi
+
+rm $BIN/ckrc
+rm $BIN/ckdb
+rm -rf $TEST_LOCATION
+echo -e $PASS